package cl.jtv;

/*
 * ComandoRMVInv.java
 *
 * Created on 28 de febrero de 2003, 03:00 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoADD extends Comando {

    /** Creates new ComandoRMVInv */
    private boolean inicial;
    public ComandoADD(Object newArtefacto, Vector2 newVector2) {
        super(newArtefacto,newVector2);
        inicial = ((Maquina)artefacto).isInicial();
    }    

    public void doIt() {
        vector2.add(artefacto);
        if(inicial){ 
            vector2.inicial = (Maquina)artefacto;
            ((Maquina)artefacto).setInicial(true);
        }
    }
    
}
